TaskThread (Apache Tomcat 8.5.96 API Documentation)

Package org.apache.tomcat.util.threads

## Class TaskThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.tomcat.util.threads.TaskThread

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class TaskThread
      extends java.lang.Thread

  A Thread implementation that records the time at which it was created.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskThread​(java.lang.ThreadGroup group, java.lang.Runnable target, java.lang.String name)` |
    `TaskThread​(java.lang.ThreadGroup group, java.lang.Runnable target, java.lang.String name, long stackSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getCreationTime()` |

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskThread

          public TaskThread​(java.lang.ThreadGroup group,
                            java.lang.Runnable target,
                            java.lang.String name)

    - #### TaskThread

          public TaskThread​(java.lang.ThreadGroup group,
                            java.lang.Runnable target,
                            java.lang.String name,
                            long stackSize)

  - ### Method Detail

    - #### getCreationTime

          public final long getCreationTime()

      Returns:
        the time (in ms) at which this thread was created